interface CmpOptions {
    ignoreCase?: boolean;
    keyOrdersMap?: Map<string, number>;
}
/**
 * The compare function to correct the order for "array" or "object":
 * - The order for 2 values with different types are: boolean, number, string, null, array, object.
 * - The order for 2 values with the same type is according to the type:
 *   - For boolean, number, string: use the `<` sign.
 *   - For array and object: preserve the original order (or do we have a better idea?)
 */
declare const cmp: (a: any, b: any, options: CmpOptions) => number;
export default cmp;
